Subject: Gallup Project
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 Mar 2000 08:04:00 -0800 (PST)

David,  Attached is a short term sheet agreement that I propose we put into 
place for the Gallup electric driver which EECC is installing for Enron 
Compression Services Company.  As I understand it now, we have only an AFE 
with signature for this deal in place.   As I indicated on my voice mail, I 
need something more substantial in place for assignment, since we are selling 
a portion of this project off to investors.  Please review and lets discuss.  
Timing unfortunately is not long as usual.  I would like to meet as soons as 
your schedule allows.  Thanks.